PCRE 'compile_regex()' Function Heap Buffer Overflow Vulnerability

Bugtraq ID: 74934
Class: Boundary Condition Error
CVE: CVE-2015-3210
Remote: Yes
Local: No
Published: Jun 01 2015 12:00AM
Updated: Sep 21 2016 01:00PM
Credit: Wen Guanxing from Venustech
Vulnerable: Ubuntu Ubuntu Linux 15.04
Ubuntu Ubuntu Linux 14.04 LTS
Ubuntu Ubuntu Linux 12.04 LTS i386
Ubuntu Ubuntu Linux 12.04 LTS amd64
Slackware Slackware Linux 14.1
Slackware Linux x86_64 -current
Slackware Linux 14.1 x86_64
Slackware Linux -current
PCRE PCRE 8.37
PCRE PCRE 8.36
PCRE PCRE 8.34
PCRE PCRE 8.33
PCRE PCRE 10.10
Oracle Solaris 11.2
IBM Tealeaf Customer Experience 9.0.2
IBM Tealeaf Customer Experience 9.0.1
IBM Tealeaf Customer Experience 9.0
IBM Tealeaf Customer Experience 9.0.2A
IBM Tealeaf Customer Experience 9.0.1A
IBM Tealeaf Customer Experience 9.0.0A
IBM Tealeaf Customer Experience 9.0
IBM Tealeaf Customer Experience 8.8
IBM Tealeaf Customer Experience 8.7
IBM Tealeaf Customer Experience 8.6
IBM Tealeaf Customer Experience 8.0
Not Vulnerable:


 

Privacy Statement
Copyright 2010, SecurityFocus